import axios from '@utils/ajax';
import store from '@store';

import { searchList,resetLabel } from '../actions/inspect';

export const getSearchList = (val) => {
    if(val.trim() == ''){
        const data = [];
        return (dispatch) => dispatch(searchList(data,''));
    }
    let baseList = store.getState();
    let sex = baseList.patInfo.message.patientSex;
    return (dispatch) => {
        axios.json('/retrieval/getTagInfos',{
            type:'5',
            age:baseList.patInfo.message.patientAge,
            inputStr:val,
            sexType:sex == '男'?'1' : sex == '女'?'2':'3'
        })
        .then((res)=>{
            const data = res.data.data;
            dispatch(searchList(data,val.trim()));
        })
    }
};
export const getSublableList = (id,idx) => {
    let baseList = store.getState();
    let sex = baseList.patInfo.message.patientSex;
    return (dispatch) => {
        axios.json('/questionInfo/getById',{
            age:baseList.patInfo.message.patientAge,
            sexType:sex == '男'?'1' : sex == '女'?'2':'3',
            id: id
        })
        .then((res)=>{
            const data = res.data.data;
            if (data.controlType == 0) {
                dispatch(resetLabel(data.questionMapping,data.uniqueName||''));
            }else if(data.controlType == 1){
                let arr = [];
                arr[0] = data;
                dispatch(resetLabel(arr));
            }else if(data.controlType == 6) {
                let arr =[];
                arr[0] = data;
                dispatch(resetLabel(arr));
            } 
        })
    }
};
